View Issue Details

IDProjectCategoryView StatusLast Update
0001070Far Manager 1.7x_Commonpublic2009-09-30 16:07
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.75 
Summary0001070: XLat: переключение раскладки клавиатуры при наличии в системе более 2 раскладок
DescriptionXLat трансформирует текст только между 2-мя направлениями (рус/лат)
При этом он соответственно переключает и раскладку клавиатуры.

Однако при наличии в системе >2 раскладок соответствия не получается, поскольку переключаются все раскладки, циклически.

Решение проблемы:
http://forum.farmanager.com/viewtopic.php?p=51505#p51505
>В принципе можно добавить параметр в Qwerty.reg, что-то типа "Layout"="HKL,
>перечисленные через ';'"... т.е. xlat будет "крутиться" только в пределах
>перечисленных в Layout значениях.
TagsNo tags attached.
Build2609

Activities

vskirdin

2009-09-28 19:18

administrator   bugnote:0004144

Если в Layouts указано меньше двух раскладок - отключаем эту возможность и... "крутим" по старому? Все верно?

JohnDoe

2009-09-28 20:13

updater   bugnote:0004145

А как там вообще может оказаться число раскладок отличное от двух?

vskirdin

2009-09-28 20:30

administrator   bugnote:0004146

после 1149

vskirdin

2009-09-28 21:22

administrator   bugnote:0004149

> А как там вообще может оказаться число раскладок отличное от двух?
да как угодно, сам задал вот и оказалось...

JohnDoe

2009-09-28 21:46

updater   bugnote:0004150

это называется "некорректное значение", и логично его игнорировать

vskirdin

2009-09-28 22:47

administrator   bugnote:0004151

Короче - оно работает? Если да - ставь решение

JohnDoe

2009-09-29 10:58

updater   bugnote:0004155

>Far для "Layouts" считывает первые 10 значений, остальные, если есть, игнорируются

Оно - работает, спасибо.

Но давайте-ка разберёмся с количеством раскладок в Layounts.
XLat - исключительно парная операция, и ни за каким чёртом не может понадобиться 3 расладки, а тем более 10.

Это просто не имеет смысла.

vskirdin

2009-09-29 11:07

administrator   bugnote:0004157

это для тебя (меня) не имеет смысла (т.к. сидим на двух), а кому то оно надо...
оно тебе мешает?

JohnDoe

2009-09-29 11:34

updater   bugnote:0004160

Я лично сижу на трёх.
Но даже если бы у меня было 10 расладок - всё равно операция XLat производится для пары. Переключение (если оно включено) должно как-то соответствовать, а значит >2 расладок получится бессмыслица.

Мне оно конечно не мешает, т. к. я себе настроил правильно
[HKEY_CURRENT_USER\Software\Far2\XLat]
"Layouts"="0409;0419"

Кстати надо поправить Qwerty.reg который в поставке

vskirdin

2009-09-29 12:11

administrator   bugnote:0004164

обновил, но не Qwerty.reg, а Qwerty2.reg, т.к. у 1.7 нет такого функционала

JohnDoe

2009-09-29 16:19

updater   bugnote:0004171

Вроде иногда не срабатывает переключение клавиатуры. Закономерности пока не вижу, но пару раз было...

vskirdin

2009-09-29 16:46

administrator   bugnote:0004172

помедленнее клаву топчи.
в любом случае это уже к M$

vskirdin

2009-09-30 16:07

administrator   bugnote:0004181

2.0 = 1149

Issue History

Date Modified Username Field Change
2009-09-26 15:40 JohnDoe New Issue
2009-09-26 19:01 vskirdin Status new => assigned
2009-09-26 19:01 vskirdin Assigned To => vskirdin
2009-09-28 19:18 vskirdin Note Added: 0004144
2009-09-28 20:13 JohnDoe Note Added: 0004145
2009-09-28 20:30 vskirdin Note Added: 0004146
2009-09-28 20:30 vskirdin Status assigned => feedback
2009-09-28 21:22 vskirdin Note Added: 0004149
2009-09-28 21:46 JohnDoe Note Added: 0004150
2009-09-28 22:47 vskirdin Note Added: 0004151
2009-09-29 10:58 JohnDoe Note Added: 0004155
2009-09-29 11:07 vskirdin Note Added: 0004157
2009-09-29 11:34 JohnDoe Note Added: 0004160
2009-09-29 12:11 vskirdin Note Added: 0004164
2009-09-29 16:19 JohnDoe Note Added: 0004171
2009-09-29 16:46 vskirdin Note Added: 0004172
2009-09-30 13:02 JohnDoe Status feedback => resolved
2009-09-30 13:02 JohnDoe Resolution open => fixed
2009-09-30 16:07 vskirdin Build => 2609
2009-09-30 16:07 vskirdin Note Added: 0004181
2009-09-30 16:07 vskirdin Status resolved => closed
2009-09-30 16:07 vskirdin Fixed in Version => 1.75